Subject: When to use test_commit (Re: [PATCH] checkout: add a test for creating a new branch with regexp as a starting point)

From: Jonathan Nieder <[email-masked]>
Date: Fri, 30 Jul 2010 14:13:57 -0500

Ævar Arnfjörð Bjarmason wrote:

> And actually, we should probably have a
> test_commit_notag() then.

I don’t know.  What’s so bad about using "git commit" directly?

I often find myself using "git commit" in tests because test_commit
imposes all the usual restrictions for a ref name on the commit
message.  I would happily use an abbreviation for

 test_tick &&
 git commit -m "something" &&
 git tag something-else

if available because I don’t like typing, but would that help the
reader and test runner any?

(That’s not a rhetorical question.  A patch that answers in the
positive would be fine by me. ;-))